<?php

namespace DropshippingExportFreeVendor;

use DropshippingExportFreeVendor\WPDesk\Library\DropshippingExport\Action\Loader\Plugin\PluginLinksLoaderAction;
/**
 * @var string $title
 * @var string $mode
 * @var bool $edit
 * @var \Core\Infrastructure\View\FormView $form
 * @var WPDesk\View\Renderer\Renderer $renderer
 */
$renderer->output_render('Header', ['title' => $title]);
$is_pl_lang = PluginLinksLoaderAction::is_pl_lang();
?>

<h2>
	<?php 
// TRANSLATORS: %s: page step.
echo \esc_html(\sprintf(\__('Step %s', 'dropshipping-export-free'), '2/4'));
?>
</h2>
<p>
<?php 
$docs_url = $is_pl_lang ? 'https://wpdesk.link/export-docs-step2-pl' : 'https://wpdesk.link/export-docs-step2';
echo \wp_kses_post(\sprintf(\__('Determine the conditions that must be met to export the file. To help yourself through the process, use the plugin\'s <a href="%s" target="_blank">documentation</a>.', 'dropshipping-export-free'), $docs_url));
?>
</p>
<hr>
<?php 
$form->form_start(['method' => 'POST', 'template' => 'form-start-no-table']);
?>
<div id="export-data-table-wrapper">

<table class="form-table export-data-table" style="margin:auto;">
	<tbody>
		<tr><td><?php 
$form->show_field('logical_conditions');
?></tr></td>
	</tbody>
</table>
</div>
<?php 
$renderer->output_render('Steps', ['mode' => $mode, 'edit' => $edit, 'form' => $form, 'previous_step' => $previous_step]);
?>
<input type="hidden" name="file_mode" id="file_mode" value="<?php 
echo \esc_attr($mode);
?>">
<?php 
$form->form_fields_complete();
$form->form_end(['template' => 'form-end-no-table']);
?>

<?php 
$renderer->output_render('Footer');
